- show_login_form = !devise_controller? && !current_user
%div{ class: show_login_form || current_user ? '-grid-2-1 -gap' : '' }
  %section._hero._hero--transparent
    ._hero__header= Rails.configuration.garden_party[:instance][:name]

    - if Rails.configuration.garden_party[:instance][:punchline].present?
      %p.-text--medium
        = Rails.configuration.garden_party[:instance][:punchline]

    .-mtd= render 'layouts/application/instance_links'

  - if !show_login_form && current_user
    %aside
      .rui-list-item.rui-list-item--static
        .rui-list-item__content
          = icon('notification')
          .rui-list-item__title
            = t('.notifications', amount: current_user.notifications.unread.count)

      .rui-list-item.rui-list-item--static
        .rui-list-item__content
          .rui-list-item__title
            .rui-icon-text
              = icon('check')
              = t('.tasks')
            %ul.-unstyled.-text--small
              - amount = current_user.assigned_tasks.overdue.count
              %li{ class: amount.positive? ? 'text--color-danger' : 'text--color-success' }
                = t('.tasks_overdue', amount: amount)
              - amount = current_user.assigned_tasks.pending.today.count
              %li{ class: amount.positive? ? 'text--color-warning' : 'text--color-success' }
                = t('.tasks_today', amount: amount)
              - amount = current_user.assigned_tasks.pending.next_week.count
              %li{ class: amount.positive? ? 'text--color-warning' : 'text--color-success' }
                = t('.tasks_next_week', amount: amount)

      .rui-toolbar.rui-toolbar--block
        = link_to t('.gardens'), app_path, class: 'rui-button rui-button--creative rui-button--block -flex--grow'
        %details.rui-dropdown.rui-dropdown--right{ data: { dropdown: true } }
          %summary.rui-dropdown__trigger.rui-button
            %span= t('.account')
          .rui-dropdown__content.rui-menu
            = link_to t('.password_and_preferences'), edit_user_registration_path, class: 'rui-menu-item'
            = link_to t('.api_tokens'), :jwt_tokens, class: 'rui-menu-item'
            = link_to t('.calendar_links'), :edit_account_calendar, class: 'rui-menu-item'
        = button_to t('.sign_out'), :destroy_user_session, method: 'delete', class: 'rui-button rui-button--destructive'

  - if show_login_form
    %aside
      %section._card
        ._card__content.-pd= render 'devise/sessions/form',
                                    hide_labels: true,
                                    resource: User.new,
                                    resource_name: 'user'

:javascript
  function initializeDropdowns(){
    document.querySelectorAll('[data-dropdown]').forEach((element) => { initializeDropdown(element) })
  }

  function initializeDropdown(element) {
    document.body.parentNode.addEventListener('click', function(event) {
      if (!element.contains(event.target) && element.open) element.open = false
    });
  }

  initializeDropdowns()
